org.wildfly.swarm.config.datasources

## Enum FlushStrategy

- java.lang.Object
- - java.lang.Enum<FlushStrategy>
  - - org.wildfly.swarm.config.datasources.FlushStrategy

- All Implemented Interfaces:
    Serializable, Comparable<FlushStrategy>

      public enum FlushStrategy
      extends Enum<FlushStrategy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLCONNECTIONS`
    `ALLGRACEFULLY`
    `ALLIDLECONNECTIONS`
    `ALLINVALIDIDLECONNECTIONS`
    `ENTIREPOOL`
    `FAILINGCONNECTIONONLY`
    `GRACEFULLY`
    `IDLECONNECTIONS`
    `INVALIDIDLECONNECTIONS`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static FlushStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FlushStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final FlushStrategy UNKNOWN

    - #### FAILINGCONNECTIONONLY

          public static final FlushStrategy FAILINGCONNECTIONONLY

    - #### INVALIDIDLECONNECTIONS

          public static final FlushStrategy INVALIDIDLECONNECTIONS

    - #### IDLECONNECTIONS

          public static final FlushStrategy IDLECONNECTIONS

    - #### GRACEFULLY

          public static final FlushStrategy GRACEFULLY

    - #### ENTIREPOOL

          public static final FlushStrategy ENTIREPOOL

    - #### ALLINVALIDIDLECONNECTIONS

          public static final FlushStrategy ALLINVALIDIDLECONNECTIONS

    - #### ALLIDLECONNECTIONS

          public static final FlushStrategy ALLIDLECONNECTIONS

    - #### ALLGRACEFULLY

          public static final FlushStrategy ALLGRACEFULLY

    - #### ALLCONNECTIONS

          public static final FlushStrategy ALLCONNECTIONS

  - ### Method Detail

    - #### values

          public static FlushStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlushStrategy c : FlushStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlushStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<FlushStrategy>`

Copyright © 2017 JBoss by Red Hat. All rights reserved.